Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512871 - [CSD] Firefox 57: firefox renders a black bar around the window and context menu is misplaced
Summary: [CSD] Firefox 57: firefox renders a black bar around the window and context m...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 11:21 UTC by Christian Stadelmann
Modified: 2018-05-21 20:06 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-21 20:06:30 UTC


Attachments (Terms of Use)
Screenshot of Firefox 57 with widget.allow-client-side-decoration and "Title bar" enabled (deleted)
2017-11-14 11:21 UTC, Christian Stadelmann
no flags Details

Description Christian Stadelmann 2017-11-14 11:21:52 UTC
Created attachment 1351895 [details]
Screenshot of Firefox 57 with widget.allow-client-side-decoration and "Title bar" enabled

Description of problem:
After setting the widget.allow-client-side-decoration about:config entry, the GUI is broken.

Version-Release number of selected component (if applicable):
firefox-57.0-1.fc26.x86_64
gtk3-3.22.21-2.fc26.x86_64

How reproducible:
always

Steps to Reproduce:
1. Set "widget.allow-client-side-decoration" to "true"
2. restart firefox
3. from main menu, select "Customize"
4. check the "Title bar" check box
5. uncheck it again
6. check it again
6a. on a new tab, try using the context menu.
7. restart firefox
8. from main menu, select "Customize"
9. uncheck the "Title bar" check box
10. check the "Title bar" check box

Actual results:
After starting Firefox (2., 3.), everything is ok and the tabs are rendered in title bar, if "Title bar" is not checked.
When "Title bar" is being checked (4., 6.), Firefox renders a black bar inside its window (transparent in the screen shot attached). In this state, any context menu gets misplaced, being a few (~20) pixels too far north (6a.).
When unchecking "Title bar" (5.), everything is back to normal.
After restarting firefox with "Title bar" enabled (7., 8.), everything is back to normal, even after checking/unchecking "Title bar" again (9., 10.).

Expected results:
With "Title bar" checked, do not render a black bar inside the window.

Additional info:
I'm running under a GNOME/Wayland session. With "widget.allow-client-side-decoration" set to false (the default), everything works fine and as in previous versions of Firefox.

Comment 1 Fedora End Of Life 2018-05-03 08:11:43 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Christian Stadelmann 2018-05-21 20:06:30 UTC
This issue has been fixed in the mean time before CSDs became available in default builds.


Note You need to log in before you can comment on or make changes to this bug.